Package com.emc.documentum.rest.config

# Enum Class MimeFormatMappingConfig

java.lang.Object
java.lang.Enum<MimeFormatMappingConfig>
com.emc.documentum.rest.config.MimeFormatMappingConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<MimeFormatMappingConfig>`, `Constable`

public enum MimeFormatMappingConfig extends Enum<MimeFormatMappingConfig>
MIME type format mapping configuration

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  The singleton instance of the `MimeFormatMappingConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `enabled()`
  Check if loading of MIME format mapping is enabled
  `String`
  `getFormatName(String repositoryName, String mimeType)`
  Get format name by mime type from the REST configuration file
  `static MimeFormatMappingConfig`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MimeFormatMappingConfig[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final MimeFormatMappingConfig INSTANCE
    The singleton instance of the `MimeFormatMappingConfig`

- ## Method Details

  - ### values

    public static MimeFormatMappingConfig[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MimeFormatMappingConfig valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFormatName

    public String getFormatName(String repositoryName, String mimeType)
    Get format name by mime type from the REST configuration file
    Parameters:
      `repositoryName` - the repository name
      `mimeType` - the mimetype
    Returns:
      format name by mime type from the REST configuration file

  - ### enabled

    public boolean enabled()
    Check if loading of MIME format mapping is enabled
    Returns:
      `true` if loading of MIME format mapping is enabled